function init(hero) {
    hero.setName("Crsytal");
    hero.setTier(6);
    
    hero.setChestplate("item.superhero_armor.piece.jacket");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addPowers("pack:crystal");
       hero.addAttribute("WEAPON_DAMAGE", 1.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 10.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 0.85, 0);
    hero.addAttribute("PUNCH_DAMAGE", 8, 0);
    hero.addAttribute("SPRINT_SPEED", 0.75, 1);
  	    hero.supplyFunction("canAim", canAim);
	
	 hero.addKeyBind("AIM", "Flame Blast", 4);
	hero.addKeyBind("CHARGED_BEAM", "Wind Strike", 3);
    hero.addKeyBind("SHOOT_SPIKES", "Earth Shards", 2);

}

function canAim(entity) {
    return entity.getHeldItem().isEmpty() && !entity.getData("fiskheroes:jetpacking");
}
